Support (Grails 6.0.0)

Package: grails.dev

## [Groovy] Class Support

- grails.dev.Support

-     @groovy.transform.CompileStatic
      @groovy.util.logging.Commons
      class Support
      extends java.lang.Object

  Methods to support the development environment

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `ENV_RELOAD_AGENT_PATH` |
    `static java.lang.String` | `PROPERTY_RELOAD_AGENT_PATH` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Support ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `private static void` | `attachAgentClassToProcess(java.lang.Class<?> vmClass, java.lang.String pid, java.io.File file)`
    `` | `static void` | `enableAgentIfNotPresent(java.lang.Class mainClass)` Enables the reloading agent at runtime if it isn't present
    `` | `protected static java.io.File` | `findAgentJar(java.lang.String agentPath, java.lang.String grailsHome)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String ENV_RELOAD_AGENT_PATH

    - #### public static final java.lang.String PROPERTY_RELOAD_AGENT_PATH

  - ### Constructor Detail

    - #### Support()

  - ### Method Detail

    - #### @groovy.transform.CompileDynamic private static void attachAgentClassToProcess(java.lang.Class<?> vmClass, java.lang.String pid, java.io.File file)

    - #### static void enableAgentIfNotPresent(java.lang.Class mainClass)

      Enables the reloading agent at runtime if it isn't present

    - #### protected static java.io.File findAgentJar(java.lang.String agentPath, java.lang.String grailsHome)